Package com.jangular.backend.controller

# Class AuthController

java.lang.Object
com.jangular.backend.controller.AuthController

@RestController @RequestMapping("/api/auth") public class AuthController extends Object

## Constructor Summary

Constructors
Constructor
Description
`AuthController()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.http.ResponseEntity<AuthResponse>`
`login(@Valid AuthRequest loginRequest, jakarta.servlet.http.HttpServletRequest request)`
User login endpoint
`org.springframework.http.ResponseEntity<Void>`
`logout(jakarta.servlet.http.HttpServletRequest request)`
Logout endpoint
`org.springframework.http.ResponseEntity<AuthResponse>`
`refreshToken(@Valid TokenRefreshRequest request)`
Refresh token endpoint
`org.springframework.http.ResponseEntity<UserDTO>`
`register(@Valid RegisterRequest registerRequest)`
User registration endpoint

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthController

public AuthController()

## Method Details

### login

@PostMapping("/login") public org.springframework.http.ResponseEntity<AuthResponse> login(@Valid @RequestBody @Valid AuthRequest loginRequest, jakarta.servlet.http.HttpServletRequest request)
User login endpoint

### register

@PostMapping("/register") public org.springframework.http.ResponseEntity<UserDTO> register(@Valid @RequestBody @Valid RegisterRequest registerRequest)
User registration endpoint

### refreshToken

@PostMapping("/refresh") public org.springframework.http.ResponseEntity<AuthResponse> refreshToken(@Valid @RequestBody @Valid TokenRefreshRequest request)
Refresh token endpoint

### logout

@PostMapping("/logout") public org.springframework.http.ResponseEntity<Void> logout(jakarta.servlet.http.HttpServletRequest request)
Logout endpoint